package com.zhentao.controller;

import com.zhentao.pojo.dto.LoginDto;
import com.zhentao.pojo.dto.PhoneDto;
import com.zhentao.service.UserService;
import com.zhentao.utils.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Date 2025/5/6 12:03
 * @Author gln
 **/
@RestController
@RequestMapping("user")
public class UserController {
    @Autowired
    private UserService userService;
    //测试
    @RequestMapping("test")
    public ResultVo test(){
        return ResultVo.success("测试");
    }
    //获取验证码
    @RequestMapping("yan")
    public ResultVo yan(@RequestBody PhoneDto phone){
        return userService.yan(phone);
    }
    //用户手机号验证码登录/注册
    @RequestMapping("login1")
    public ResultVo login1(@RequestBody LoginDto loginDto) {
        return ResultVo.success(userService.login1(loginDto));
    }
}
