package com.zhentao.vo;

import lombok.Data;

import java.io.Serializable;

@Data
public class Result implements Serializable {

    private Integer code;
    private String message;
    private Object object;

    public static Result OK(String message,Object object){
        Result result = new Result();
        result.setCode(200);
        result.setMessage(message);
        result.setObject(object);
        return result;
    }

    public static Result ERR(String message,Object object){
        Result result = new Result();
        result.setCode(400);
        result.setMessage(message);
        result.setObject(object);
        return result;
    }
}
